# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    bin_name = glob.glob("Firebird*.exe")[0]
    version = control.get_software_version()
    version_key = "_".join([version.split(".")[0], version.split(".")[1]])

    # Installing the software
    install_exe_if_needed(
        bin_name,
        silentflags="/SILENT /VERYSILENT /SP-",
        key=f"FBDBServer_{version_key}_x64_is1",
        min_version=version,
    )


def uninstall():
    # Remove CRT librairies
    for uninstall in installed_softwares("MSI"):
        if "Firebird" in uninstall["publisher"]:
            print("Uninstall %s" % uninstall["name"])
            cmd = uninstall_cmd(uninstall["key"])
            run(cmd)

    # Remove Firebird tree
    for tree in glob.glob(makepath(programfiles, "*")):
        if "Firebird" in tree:
            remove_tree(tree)
